#!/bin/bash

say() {
  >&2 echo "[+] $*"
}

eth0_mac_bits=$( cut -d ':' -f5,6 /sys/class/net/eth0/address | sed 's/://' )
current_project_name=$( grep ^current_project_name /etc/default/olip | cut -d '=' -f2)
this_hostname="${current_project_name}-${eth0_mac_bits}"

say "Update SSID..."
sed -i "/^ssid=/c\ssid=_{{ network_ssid }}-${eth0_mac_bits}" /etc/hostapd/hostapd.conf

say "Udpate hostname..."
sed -i "/^127.0.0.1/c\127.0.0.1 localhost ${this_hostname}" /etc/hosts
hostnamectl set-hostname "${this_hostname}"

say "Run systemd machine initialization..."
systemd-machine-id-setup

say "Enable and start ideascube_mon service..."
systemctl enable ideascube_mon
systemctl start ideascube_mon
